DNF5-MODULE(8)

BEZEICHNUNG
dnf5-module - Module-Befehl

ÜBERSICHT

dnf5 module Unterbefehl [Optionen] [Modulangabe …]

BESCHREIBUNG

Modularität ist eine alternative Möglichkeit zum Bauen, Organisieren und Ausliefern von Paketen.

Derzeit ist nur grundlegende Unterstützung für die Verwaltung der Module verfügbar, da sie in gängigen RPM-Distributionen nicht mehr unterstützt werden.

Weitere Details finden Sie hier: <https://docs.pagure.org/modularity/>.

UNTERBEFEHLE

    list
        listet Modul-Streams auf. Mit den Optionen --enabled und --disabled können Sie die Liste weiter einschränken.

    info
        gibt Details zu Modul-Streams aus.

    enable
        aktiviert Modul-Streams und macht deren Pakete verfügbar.

    disable
        deaktiviert alle Module einschließlich deren Streams.

    reset
        setzt den Modulstatus zurück, so dass er nicht mehr aktiviert oder deaktiviert ist.

OPTIONEN FÜR »LIST« UND »INFO«

    --enabled
        zeigt nur aktivierte Module an.

    --disabled
        zeigt nur deaktivierte Module an.

OPTIONEN FÜR »ENABLE«, »DISABLE« UND »RESET«

    --skip-broken
        löst alle Abhängigkeitsprobleme, indem Elemente aus der Transaktion entfernt werden, die Probleme verursachen. Wird mit dem Befehl enable verwendet.

    --skip-unavailable
        ermöglicht das Überspringen von Modulen, die in Paketquellen nicht verfügbar sind. Alle weiteren Elemente werden verarbeitet.

BEISPIELE

    dnf5 module list
        Listet alle Modul-Streams auf, die für Ihr System verfügbar sind.

    dnf5 module enable nodejs:8
        Macht Pakete aus dem »Node.js 8«-Stream für die Installation verfügbar.

SIEHE AUCH
        dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).